# Issues#UpdateIssue

Update an existing Security Issue

Endpoint: PUT /sto/api/v2/issues/{id}
Version: 1.0
Security: 

## Query parameters:

  - `accountId` (string, required)
    Harness Account ID
    Example: "abcdef1234567890ghijkl"

## Path parameters:

  - `id` (string, required)
    The ID of the Security Issue to update
    Example: "Nisi quod dolor sunt blanditiis."

## Header parameters:

  - `X-Api-Key` (string)
    Harness personal or service access token
    Example: "Mollitia recusandae incidunt necessitatibus rerum odit."

## Request fields (application/json):

  - `numOccurrences` (integer)
    Indicates the number of Occurrences on the Issue
    Example: 10

  - `occurrences` (array, required)
    Array of details unique to each occurrence
    Example: [{"line":"42"},{"line":"666"}]

  - `scanId` (string, required)
    The Security Scan execution that detected this Security Issue
    Example: "abcdef1234567890ghijkl"

  - `type` (string)
    The type of vulnerability or quality issue for this Issue
    Enum: "SAST", "DAST", "SCA", "IAC", "SECRET", "MISCONFIG", "BUG_SMELLS", "CODE_SMELLS", "CODE_COVERAGE", "EXTERNAL_POLICY"

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


## Response 204 fields
